tasty-lua-1.1.0: Write tests in Lua, integrate into tasty.

Copyright | © 2019-2023 Albert Krewinkel
License | MIT
Maintainer | Albert Krewinkel <tarleb@hslua.org>
Safe Haskell | Safe-Inferred
Language | Haskell2010

Test.Tasty.Lua.Module

Description

Tasty Lua module, providing the functions necessary to write tasty tests in Lua scripts.

Synopsis

- pushModule :: LuaError e => HaskellFunction e

# Documentation

pushModule :: LuaError e => HaskellFunction e Source #

Push the tasty module on the Lua stack.